Categories:
  - Security
License: GPL-2.0-or-later
AuthorName: SelfPrivacy
AuthorEmail: contact@selfprivacy.org
WebSite: https://selfprivacy.org
SourceCode: https://git.selfprivacy.org/kherel/selfprivacy.org.app
IssueTracker: https://git.selfprivacy.org/kherel/selfprivacy.org.app/issues

AutoName: SelfPrivacy

RepoType: git
Repo: https://git.selfprivacy.org/kherel/selfprivacy.org.app.git

Builds:
  - versionName: 0.1.0
    versionCode: 1
    commit: v.0.1.0
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.0.0
    rm:
      - ios
      - test
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.1.0
    versionCode: 2
    commit: v.0.1.0
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.0.0
    rm:
      - ios
      - test
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.1.1
    versionCode: 3
    commit: v.0.1.1
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.0.0
    rm:
      - ios
      - test
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.1.2
    versionCode: 4
    commit: v.0.1.2
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.0.0
    rm:
      - ios
      - test
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.1.3
    versionCode: 5
    commit: v.0.1.3
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - ios
      - test
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.2.4
    versionCode: 6
    commit: v.0.2.4
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.5.2
    rm:
      - ios
      - test
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.3.0
    versionCode: 7
    commit: v.0.3.0
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.5.2
    rm:
      - ios
      - test
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.4.0
    versionCode: 8
    commit: 6653408dfb0f0d5bfeed6091ad613573355bff4b
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.5.2
    rm:
      - ios
      - test
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.4.2
    versionCode: 10
    commit: 495cd115fa4c30d1cf00deed05c2afd31cecbf1a
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.5.2
    rm:
      - ios
      - test
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.5.0
    versionCode: 11
    disable: https://monitor.f-droid.org/builds/log/pro.kherel.selfprivacy/11#site-footer
    commit: 3e2a86ede1ff7f7c61bbdb94f11f3fc1cbd0bf37
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.10.3
    rm:
      - ios
      - test
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk
    ndk: r21e

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v.*$
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 0.5.0
CurrentVersionCode: 11
